ignite-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From dsetrak...@apache.org
Subject svn commit: r1672715 - /incubator/ignite/site/trunk/download-mirrors.html
Date Fri, 10 Apr 2015 18:03:03 GMT
Author: dsetrakyan
Date: Fri Apr 10 18:03:03 2015
New Revision: 1672715

URL: http://svn.apache.org/r1672715
Log:
Added maven instructions.

Modified:
    incubator/ignite/site/trunk/download-mirrors.html

Modified: incubator/ignite/site/trunk/download-mirrors.html
URL: http://svn.apache.org/viewvc/incubator/ignite/site/trunk/download-mirrors.html?rev=1672715&r1=1672714&r2=1672715&view=diff
==============================================================================
--- incubator/ignite/site/trunk/download-mirrors.html (original)
+++ incubator/ignite/site/trunk/download-mirrors.html Fri Apr 10 18:03:03 2015
@@ -153,6 +153,31 @@
     <!-- <p>(The <a href="http://www.apache.org/mirrors/">complete list of
mirrors</a>)</p> -->
   </section> <!-- downloads -->
 
+  <section id="maven" class="feature-section">
+    <h2 style="text-align: left;">Building from Maven</h2>
+    Ignite requires only one <b>ignite-core</b> mandatory dependency. Usually
you will 
+    also need to add <b>ignite-spring</b> for spring-based XML configuration,
and <b>ignite-indexing</b> for SQL querying.
+    Most often your Ignite pom file will look like this (replace ${ignite-version} with actual
Ignite version).
+    NOTE: JDK version should be 1.7.0-* or >= 1.8.0-u40.
+    <pre class="brush:bash">
+    <dependency>
+        <groupId>org.apache.ignite</groupId>
+        <artifactId>ignite-core</artifactId>
+        <version>${ignite.version}</version>
+    </dependency>
+    <dependency>
+        <groupId>org.apache.ignite</groupId>
+        <artifactId>ignite-spring</artifactId>
+        <version>${ignite.version}</version>
+    </dependency>
+    <dependency>
+        <groupId>org.apache.ignite</groupId>
+        <artifactId>ignite-indexing</artifactId>
+        <version>${ignite.version}</version>
+    </dependency>
+    </pre>
+  </section><!-- build-source -->
+
   <section id="build-source" class="feature-section">
     <h2 style="text-align: left;">Building the Binaries </h2>
     NOTE: JDK version should be 1.7.0-* or >= 1.8.0-u40.



Mime
View raw message